> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Return

> Admin: update return fields.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json patch /api/v1/admin/returns/{id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/returns/{id}:
    patch:
      tags:
        - admin:returns
      summary: Update Return
      description: 'Admin: update return fields.'
      operationId: update_return_api_v1_admin_returns__id__patch
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReturnUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ReturnOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReturnUpdate:
      properties:
        variant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Variant Id
        customer_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Id
        firstname:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastname:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        telephone:
          anyOf:
            - type: string
            - type: 'null'
          title: Telephone
        product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Name
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
        opened:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Opened
        return_reason_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Return Reason Id
        return_action_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Return Action Id
        return_status_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Return Status Id
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        date_ordered:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Ordered
        notify:
          type: boolean
          title: Notify
          default: false
      type: object
      title: ReturnUpdate
    ApiResponse_ReturnOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ReturnOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ReturnOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReturnOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        order_id:
          type: string
          format: uuid
          title: Order Id
        product_id:
          type: string
          format: uuid
          title: Product Id
        variant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Variant Id
        customer_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customer Id
        firstname:
          type: string
          title: Firstname
        lastname:
          type: string
          title: Lastname
        email:
          type: string
          title: Email
        telephone:
          type: string
          title: Telephone
        product_name:
          type: string
          title: Product Name
        model:
          type: string
          title: Model
        quantity:
          type: integer
          title: Quantity
        opened:
          type: boolean
          title: Opened
        return_reason_id:
          type: string
          format: uuid
          title: Return Reason Id
        return_action_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Return Action Id
        return_status_id:
          type: string
          format: uuid
          title: Return Status Id
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        restocked:
          type: boolean
          title: Restocked
          default: false
        date_ordered:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date Ordered
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        return_reason:
          anyOf:
            - $ref: '#/components/schemas/ReturnReasonOut'
            - type: 'null'
        return_action:
          anyOf:
            - $ref: '#/components/schemas/ReturnActionOut'
            - type: 'null'
        return_status:
          anyOf:
            - $ref: '#/components/schemas/ReturnStatusOut'
            - type: 'null'
      type: object
      required:
        - id
        - order_id
        - product_id
        - customer_id
        - firstname
        - lastname
        - email
        - telephone
        - product_name
        - model
        - quantity
        - opened
        - return_reason_id
        - return_action_id
        - return_status_id
        - comment
        - date_ordered
        - created_at
        - updated_at
      title: ReturnOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ReturnReasonOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        sort_order:
          type: integer
          title: Sort Order
      type: object
      required:
        - id
        - name_i18n
        - sort_order
      title: ReturnReasonOut
    ReturnActionOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        sort_order:
          type: integer
          title: Sort Order
      type: object
      required:
        - id
        - name_i18n
        - sort_order
      title: ReturnActionOut
    ReturnStatusOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        sort_order:
          type: integer
          title: Sort Order
        restocks_inventory:
          type: boolean
          title: Restocks Inventory
          default: false
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      required:
        - id
        - name_i18n
        - sort_order
      title: ReturnStatusOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````